<template>
  <div class="app-container">
    <el-form
      :model="queryParams"
      ref="queryForm"
      :inline="true"
      label-width="68px"
    >
      <el-form-item label="订单号" prop="orderNo">
        <el-input
          v-model="queryParams.orderNo"
          placeholder="请输入订单号"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <!-- <el-form-item label="客户姓名" prop="likeConsumer">
        <el-input
          v-model="queryParams.likeConsumer"
          placeholder="请输入客户姓名"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item> -->

      <el-form-item label="创建时间" prop="createdDate">
        <el-date-picker
          style="width: 350px"
          v-model="dateRangeCreatedDate"
          size="mini"
          value-format="yyyy-MM-dd HH:mm:ss"
          type="datetimerange"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
        >
        </el-date-picker>
      </el-form-item>
      <el-form-item>
        <el-button
          type="cyan"
          icon="el-icon-search"
          size="mini"
          @click="handleQuery"
          >搜索</el-button
        >
        <el-button
          type="info"
          icon="el-icon-refresh"
          size="mini"
          @click="resetQuery"
          >重置</el-button
        >
        <el-button
          type="warning"
          icon="el-icon-download"
          size="mini"
          @click="handleExport"
          >导出</el-button
        >
      </el-form-item>
    </el-form>
    <el-table :data="orderList">
      <af-table-column label="油站名" align="center" prop="stationName" v-if="jiBie==0||jiBie==1"/>

      <af-table-column label="订单号" align="center" prop="orderNo" />
      <af-table-column label="油品名称" align="center" prop="oilName" />

      <af-table-column label="枪标价" align="center" prop="oilPirce" />
      <af-table-column label="结算价" align="center" prop="sellOilPrice" />
      <af-table-column label="司机价" align="center" prop="driverOilPrice" v-if="jiBie==0||jiBie==1"/>

      <af-table-column label="加油升数" align="center" prop="orderLiters" />
      <af-table-column label="应付金额" align="center" prop="receivableAmt" />
      <af-table-column label="结算金额" align="center" prop="sellAmt" />
      <af-table-column label="结算优惠金额" align="center" prop="sellDiscountAmt" />
      <af-table-column label="司机金额" align="center" prop="amt" v-if="jiBie==0||jiBie==1"/>
      <af-table-column label="司机优惠金额" align="center" prop="driverDiscountAmt" v-if="jiBie==0||jiBie==1"/>
      <af-table-column label="总优惠金额" align="center" prop="discountAmt" v-if="jiBie==0||jiBie==1"/>
      <!-- <af-table-column label="客户姓名" align="center" prop="consumer" /> -->
      <af-table-column label="手机号" align="center" prop="mobilePhone" />
      <!-- <af-table-column label="加油员" align="center" prop="oilPersonnel" /> -->
      <!-- <af-table-column label="加油枪号" align="center" prop="oilGun" /> -->
      <af-table-column label="支付时间" align="center" prop="payDate">
        <template slot-scope="scope">
          <span>{{
            parseTime(scope.row.payDate, "{y}-{m}-{d} {h}:{i}:{s}")
          }}</span>
        </template>
      </af-table-column>
      <!-- <af-table-column label="创建时间" align="center" prop="createdDate">
        <template slot-scope="scope">
          <span>{{
            parseTime(scope.row.createdDate, "{y}-{m}-{d} {h}:{i}:{s}")
          }}</span>
        </template>
      </af-table-column> -->

    </el-table>
    <pagination
      v-show="total > 0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>
<script>
import { listOrder, exportOrder, exportLngOrderGroup, exportLngOrderStation,  queryGroupOrder, queryStationOrder  } from "@/api/station/order";
import { stationinfo } from "@/api/station/gun";
import { listPrice, getPrice } from "@/api/station/price";

export default {
  name: "Order_Lng",
  data() {
    return {
      //创建订单时间间隔
      dateRangeCreatedDate: [],
      // 总条数
      total: 0,
      // 订单支付表格数据
      orderList: [],
      oilNameOptions: [],
      // 字典
      payTypeOptions: [],
      // 下拉油站
      stationOptions: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        levelId:this.levelId,
        pageNum: 1,
        pageSize: 10,
        oilGun: null,
        oilName: null,
        stationId: null,
        orderType: 1,
        oilPersonnel: null,
        createdDate: null,
        likeConsumer: null,
        orderNo:null
      },
      // 表单校验
      rules: {},
    };
  },
  created() {
    this.getList();
    //字典
    this.getDicts("pay_type").then((response) => {
      this.payTypeOptions = response.data;
    });
    stationinfo().then((response) => {
      this.stationOptions = response.rows;
    });
    this.getDicts("oil_name").then((response) => {
      this.oilNameOptions = response.data;
    });
  },
  methods: {
    payTypeFotmat(row, column) {
      if (row.payType === "wx") {
        return "微信支付";
      } else if (row.payType === "zfb") {
        return "支付宝支付";
      } else if (row.payType === "xj") {
        return "现金支付";
      } else if (row.payType === "dzk") {
        return "电子卡支付";
      } else if (row.payType === "POS") {
        return "POS机支付";
      } else if (row.payType === "yzf") {
        return "预支付";
      } else if (row.payType === "kbzf") {
        return "卡包支付";
      }
    },
    statusFotmat(row, column) {
      if (row.status === "0") {
        return "未支付";
      } else if (row.status === "1") {
        return "已支付";
      }
    },
    /** 查询订单支付列表 */
    getList() {
      this.queryParams.levelId = this.levelId
      let arrPro
      if(this.jiBie == 1){
        arrPro = queryGroupOrder(
          this.addDateRange(this.queryParams, this.dateRangeCreatedDate)
        )
      }else if(this.jiBie == 2){
        arrPro = queryStationOrder(
          this.addDateRange(this.queryParams, this.dateRangeCreatedDate)
        )
      }else{
        arrPro = queryGroupOrder(
          this.addDateRange(this.queryParams, this.dateRangeCreatedDate)
        )
      }
      arrPro.then((response) => {
        this.orderList = response.rows;
        this.total = response.total;
      });
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.dateRangeCreatedDate = [];
      this.resetForm("queryForm");
      this.handleQuery();
    },

    /** 导出按钮操作 */
    handleExport() {
      const that = this;
      const queryParams = this.queryParams;
      this.$confirm("是否确认导出所有订单支付数据项?", "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(function () {
          if(that.jiBie == 1){
            return exportLngOrderGroup(queryParams);
          }else if(that.jiBie == 2){
            return exportLngOrderStation(queryParams)
          }
        })
        .then((response) => {
          this.download(response.msg);
        });
    },
  },
};
</script>
